import EStyleSheet from 'react-native-extended-stylesheet';
import Colors from './../../../../theme/Colors';
import { Metrics, Fonts } from './../../../../theme';
import { Platform } from 'react-native';

export default EStyleSheet.create({
  itemImage: {
    height: '150rem',
    width: '98rem',
    position: 'absolute',
    top:
      Platform.OS == 'ios'
        ? EStyleSheet.value('55rem') + Metrics.statusBarHeight
        : EStyleSheet.value('43rem') + Metrics.statusBarHeight,
    elevation: 20,
    shadowOpacity: 0.4,
    shadowRadius: 8,
    shadowOffset: {
      height: 1,
      width: 1
    }
  },
  bookDetails: {
    marginTop: EStyleSheet.value('215rem') + Metrics.statusBarHeight,
    alignItems: 'center',
    textAlign: 'center'
  },
  bookTitle: {
    ...Fonts.style.semiBoldTheme,
    color: Colors.blue,
    fontSize: '17rem',
    paddingHorizontal: '10rem',
    textAlign: 'center'
  },
  defaultText: {
    fontSize: '35rem'
  },
  bookDetailsInnerContainer: {
    marginTop: '30rem',
    width: '100%-30rem'
  },
  bookDetailsItem: {
    flexDirection: 'row',
    marginVertical: '12rem'
  },
  bookDetailsLabel: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '17rem',
    color: Colors.darkGrey,
    width: '50%'
  },
  bookDetailsValue: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '17rem',
    color: Colors.black,
    width: '50%'
  },
  marginTop: {
    marginTop: '80rem',
    marginBottom: '30rem'
  }
});
