import EStyleSheet from 'react-native-extended-stylesheet';
import Colors from './../../../../theme/Colors';
import { Fonts, Metrics } from './../../../../theme';
import { Platform } from 'react-native';

export default EStyleSheet.create({
  searchView: {
    height: '45rem',
    width: '250rem',
    backgroundColor: Colors.grey,
    flexDirection: 'row',
    borderRadius: '55rem',
    alignSelf: 'center',
    alignItems: 'center',
    position: 'absolute',
    zIndex: 9999999,
    top: () => EStyleSheet.value('55rem') + Metrics.statusBarHeight
  },
  searchIcon: {
    fontSize: '21rem',
    color: Colors.black,
    marginLeft: '15rem',
    marginRight: '10rem',
    alignItems: 'center'
  },
  searchTxtInput: {
    width: '70%',
    height: '45rem',
    alignSelf: 'center',
    ...Fonts.style.semiDarkBoldBlack
  },
  closeBtn: {
    position: 'absolute',
    right: '10rem'
  },
  closeIcon: {
    fontSize: '20rem',
    color: Colors.black,
    alignItems: 'center',
    margin: '5rem'
  },
  flatList: {
    backgroundColor: Colors.white,
    marginTop:Platform.OS==='ios' ?EStyleSheet.value('100rem') + Metrics.statusBarHeight:EStyleSheet.value('120rem') + Metrics.statusBarHeight,
    width: '100%'
  },
  separatorImg: {
    height: 1,
    width: '100%',
    marginBottom: '4rem',
   marginVertical:'5rem'
  },
  bookItem: {
    width: '100%',
    flexDirection: 'row',
    marginTop: '4rem'
  },
  itemImg: {
    height: '89rem',
    width: '60rem',
    marginLeft: '10rem'
  },
  itemDetails: {
    width: '78%',
    marginLeft: '10rem'
  },
  itemTitle: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '16rem',
    marginBottom: '3rem',
    color: Colors.theme
  },
  itemSubTitle: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '15rem',
    marginBottom: '5rem',
    color: Colors.darkBlack
  },
  itemBookIdTitle: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '15rem',
   // marginBottom: '8rem',
    color: Colors.midDarkGrey
  },
  statusTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    
  },
  unreserveBtn: {
    height: '25rem',
    width: '110rem',
    backgroundColor: Colors.skyblue,
    borderRadius: '6rem',
    position: 'absolute',
    right: '10rem',
    bottom: '5rem'
  },
  unreserveBtnTxt: {
    color: Colors.white,
    ...Fonts.style.boldWhite,
    fontSize: '16rem',
    alignSelf: 'center'
  },
  flexDirection:{
    flexDirection:'row'
  }
});
