import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import Colors from '../../../../theme/Colors';
import { Metrics, Fonts } from './../../../../theme';

const { width, height } = Dimensions.get('window');
export default EStyleSheet.create({
  viewStyle: {
    width: '100%',
    backgroundColor: Colors.white,
    marginTop: width / 2.04
  },
  headerThin: {
    width: width,
    height: width / 2.04
  },
  keyLock: {
    height: '112rem',
    width: '120rem',
    position: 'absolute',
    top: EStyleSheet.value('20rem') + Metrics.statusBarHeight,
    alignSelf: 'center',
    zIndex: 9999999
  },
  titleContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    alignSelf: 'center',
    marginTop: '40rem',
    marginBottom: '25rem'
  },
  titleTxt: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '18rem',
    color: Colors.black,
    alignSelf: 'center'
  },
  seperator: {
    height: 1,
    width: '100rem',
    marginHorizontal: '4rem'
  },
  txtInputView: {
    height: '50rem',
    width: '100%-70rem',
    borderRadius: '25rem',
    alignItems: 'flex-start',
    justifyContent: 'center',
    borderColor: Colors.borderGrey,
    borderWidth: 1.5,
    paddingLeft: '35rem',
    paddingRight: '10rem',
    marginTop: '25rem',
    alignSelf: 'center'
  },
  txtInput: {
    ...Fonts.style.semiDarkBoldBlack,
    width: '100%'
  },
  labelTxt: {
    ...Fonts.style.boldBlack,
    color: Colors.MoreDarkgreyColor,
    backgroundColor: Colors.white,
    fontSize: '14rem',
    paddingHorizontal: '5rem',
    position: 'absolute',
    top: '-10rem',
    left: '30rem',
    '@media android': {
      top: '-14rem',
      left: '30rem'
    }
  },
  changePasswordBtn: {
    height: '35rem',
    width: '180rem',
    borderRadius: '25rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.purpule
  },
  changePasswordTxt: {
    ...Fonts.style.semiBoldWhite,
    fontSize: '18rem'
  },
  shadowStyle: {
    marginTop: '70rem',
    marginBottom: '15rem'
  },
  eyeBtn: {
    position: 'absolute',
    right: '15rem'
  },
  eyeIcon: {
    fontSize: '25rem',
    
  }
});
