import EStyleSheet from 'react-native-extended-stylesheet';
import Colors from './../../../../theme/Colors';
import { Fonts, Metrics } from './../../../../theme';
import { Platform } from 'react-native';
export default EStyleSheet.create({
  radioContainer: {
    flexDirection: 'row',
    marginTop:
      Platform.OS == 'ios'
        ? EStyleSheet.value('60rem') + Metrics.statusBarHeight
        : EStyleSheet.value('85rem') + Metrics.statusBarHeight,
    alignSelf: 'center'
  },
  optionBtn: {
    flexDirection: 'row',
    alignItems: 'center',
    marginHorizontal: '20rem'
  },
  radioImg: {
    height: '25rem',
    width: '25rem'
  },
  radioTxt: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '15rem',
    marginLeft: '10rem'
  },
  shadowView: {
    marginTop: '20rem',
    marginBottom: '10rem'
  },
  searchView: {
    height: '45rem',
    width: '330rem',
    backgroundColor: Colors.grey,
    flexDirection: 'row',
    borderRadius: '55rem',
    alignSelf: 'center',
    alignItems: 'center'
  },
  searchIcon: {
    fontSize: '20rem',
    color: Colors.darkBlack,
    marginLeft: '15rem',
    marginRight: '10rem',
    alignItems: 'center'
  },
  searchTxtInput: {
    width: '70%',
    height: '45rem',
    alignSelf: 'center',
    ...Fonts.style.semiDarkBoldBlack
  },
  closeBtn: {
    position: 'absolute',
    right: '10rem'
  },
  closeIcon: {
    fontSize: '20rem',
    color: Colors.black,
    alignItems: 'center',
    margin: '5rem'
  },
  flatList: {
    backgroundColor: Colors.white,
    marginTop: '10rem',
    width: '100%'
  },

  item: {
    flexDirection: 'row',
    backgroundColor: Colors.white,
    alignSelf: 'center',
    width: '100%',
    marginTop: '10rem'
  },
  itemImg: {
    height: '89rem',
    width: '60rem',
    marginLeft: '10rem',

    marginBottom: '5rem'
  },
  itemDetailsView: {
    width: '78%'
  },
  itemTitle: {
    ...Fonts.style.semiBoldBlack,
    marginTop: '4rem',
    paddingLeft: '8rem',
    marginBottom: '4rem'
  },
  itemSubTitle: {
    paddingLeft: '8rem',
    ...Fonts.style.semiBoldBlack,
    fontSize: '13rem',
    marginBottom: '2rem'
  },
  statusTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '14rem',
    position: 'absolute',
    right: 0,
    bottom: '5rem'
  },
  separatorImg: {
    height: 1,
    width: '100%',
    marginBottom: '4rem'
  }
});
