import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import Colors from './../../../theme/Colors';
import { Metrics, Fonts } from './../../../theme';
import { version } from 'react';

const { width, height } = Dimensions.get('window');

export default EStyleSheet.create({
  $drawerWidth: () => EStyleSheet.value('280rem'),
  viewStyle: {
    height,
    width: '280rem',
    backgroundColor: Colors.white
  },
  thinHeader: {
    marginTop: EStyleSheet.value('30rem') + Metrics.statusBarHeight,
    height: '280/2.04rem',
    width: '280rem'
  },
  profilePic: {
    height: '90rem',
    width: '90rem',
    borderRadius: '45rem',
    position: 'absolute',
    backgroundColor: Colors.skyblue,
    alignItems: 'center',
    justifyContent: 'center',
    alignSelf: 'center',
    marginTop: EStyleSheet.value('10rem') + Metrics.statusBarHeight
  },
  profileInitials: {
    ...Fonts.style.boldWhite,
    fontSize: '20rem'
  },
  userNameTxt: {
    ...Fonts.style.boldTheme,
    width: '100rem',
    position: 'absolute',
    alignSelf: 'center',
    textAlign: 'center',
    marginTop: EStyleSheet.value('110rem') + Metrics.statusBarHeight
  },
  itemTxt: {
    ...Fonts.style.semiBoldTheme,
    fontSize: '18rem'
  },
  itemBtn: {
    height: '50rem',
    width: '100%',
    flexDirection: 'row',
    marginTop: '10rem',
    alignItems: 'center'
  },
  profileIcon: {
    width: '20rem',
    resizeMode: 'contain'
  },
  searchBookIcon: {
    width: '18rem',
    resizeMode: 'contain'
  },
  newReqBookIcon: {
    width: '18rem',
    resizeMode: 'contain'
  },
  bookHistoryIcon: {
    width: '20rem',
    resizeMode: 'contain'
  },
  changePwdIcon: {
    width: '22rem',
    resizeMode: 'contain'
  },
  logoutIcon: {
    width: '20rem',
    resizeMode: 'contain'
  },
  iconView: {
    width: '60rem',
    alignItems: 'center'
  },
  imageStyle03: {
    height: '25rem',
    width: '28rem',
    marginLeft: '10rem',
    marginTop: '15rem'
  },
  touchableStyle: {
    height: '50rem',
    width: '375rem',
    backgroundColor: Colors.white,
    flexDirection: 'row',
    marginTop: '10rem'
  },
  marginTop: {
    marginTop: '20rem'
  },
  bottomVersionTxt: {
    flex: 1,
    justifyContent: 'flex-end',
    alignItems:"center"
      //marginBottom: 36
  },
  versionTxt: {
    //position: 'absolute',
    ...Fonts.style.semiBoldTheme,
    fontSize: '15rem',
    justifyContent:'center',
    bottom: 10
  }
});
